package com.mortals.xhx.tts.utils;

import com.mpatric.mp3agic.InvalidDataException;
import com.mpatric.mp3agic.Mp3File;
import com.mpatric.mp3agic.MpegFrame;
import com.mpatric.mp3agic.UnsupportedTagException;
import org.apache.commons.io.FileUtils;

import javax.sound.sampled.*;
import java.io.*;
import java.nio.ByteBuffer;
import java.util.List;

/**
 * @author ZYW
 * @date 2024-08-23 9:19
 */

public class AddMp3Util {

    public static String mergeMp3s( List<String> inputPaths) throws IOException, InvalidDataException, UnsupportedTagException {
        String outputPath = "/tmp/";
        if(System.getProperty("os.name").startsWith("Windows")){  //windows电脑测试路径
            outputPath= "F:\\\\";
        }
        File file = new File(outputPath+"new.mp3");
        if (file.exists()) {
            file.delete();
        }
        FileOutputStream fos = new FileOutputStream(outputPath+"new.mp3");
        for (String inputPath : inputPaths) {
            ClassLoader classLoader = AddMp3Util.class.getClassLoader();
            InputStream inputStream = classLoader.getResourceAsStream(inputPath);
            String fileName = inputPath.substring(inputPath.lastIndexOf("/")+1);
            File nowFile = new File(outputPath+fileName);
            //转换
            FileUtils.copyInputStreamToFile(inputStream, nowFile);

            Mp3File mp3 = new Mp3File(nowFile);
            byte[] buffer = mp3.getCustomTag();
            fos.write(buffer);
            mp3.removeCustomTag();
            fos.close();
        }

        return outputPath;
    }

}
